setlocal
set "Path=%PWD%\tools\mi;%Path0%"


:a
    cls
    echo - 常用的脚本名称如下：
    echo - flash_all.bat=清除全部数据
    echo - flash_all_except_data.bat=保留用户data数据
    echo - flash_all_lockbat=清除全部数据并lock上锁
    echo - flash_all_lock_crc.bat=清除全部数据并lock上锁并进行CRC文件效验
    %tishi1% 线刷的.bat脚本
    set script=
    set /p script=%t1%
    echo.
    echo - 已选择%script%线刷脚本
    if not defined script ( %error% 未选择脚本，线刷个鸡儿 & goto a )
    if not exist "%script%" ( %error% 选择的脚本不存在，线刷个鸡儿 & goto a )
    echo - 开始线刷中……
    timeout /T 2 /NOBREAK
    cmd /C call "%script%"
    set code=%errorlevel%
    echo.
    echo.
    if "%code%"=="0" (
        echo - 恭喜你线刷成功了
    ) else (
        %error% 线刷失败了！！！
        %error% %script%脚本返回状态码：%code%
    )
    echo.
endlocal
